#
# spec file for package perl-JSON-MaybeXS
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-JSON-MaybeXS
Version:        1.003005
Release:        3.1
%define cpan_name JSON-MaybeXS
Summary:        Use L<Cpanel::JSON::XS> with a fallback to L<JSON::XS> and L<JSON::PP>
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/JSON-MaybeXS/
Source:         http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.27
BuildRequires:  perl(JSON::PP) >= 2.27202
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Without::Module) >= 0.17
Requires:       perl(JSON::PP) >= 2.27202
Recommends:     perl(Cpanel::JSON::XS) >= 2.3310
%{perl_requires}

%description
This module first checks to see if either the Cpanel::JSON::XS manpage or
the JSON::XS manpage is already loaded, in which case it uses that module.
Otherwise it tries to load the Cpanel::JSON::XS manpage, then the JSON::XS
manpage, then the JSON::PP manpage in order, and either uses the first
module it finds or throws an error.

It then exports the 'encode_json' and 'decode_json' functions from the
loaded module, along with a 'JSON' constant that returns the class name for
calling 'new' on.

If you're writing fresh code rather than replacing JSON usage, you might
want to pass options as constructor args rather than calling mutators, so
we provide our own 'new' method that supports that.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.003005
  see /usr/share/doc/packages/perl-JSON-MaybeXS/Changes
* Mon Feb 24 2014 coolo@suse.com
- initial package 1.001000
  * created by cpanspec 1.78.07
